# Uses of Interface
org.bukkit.entity.ComplexLivingEntity

Packages that use ComplexLivingEntity
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of ComplexLivingEntity in org.bukkit.entity

Subinterfaces of ComplexLivingEntity in org.bukkit.entity
Modifier and Type
Interface
Description
`interface`
`EnderDragon`
Represents an Ender Dragon
Methods in org.bukkit.entity that return ComplexLivingEntity
Modifier and Type
Method
Description
`@NotNull ComplexLivingEntity`
ComplexEntityPart.`getParent()`
Gets the parent `ComplexLivingEntity` of this part.